Subject: Re: [mpls] Consensus poll on Design directive for the MPLS Open DT

From: Loa Andersson <[email-masked]>
Date: Fri, 3 Sep 2021 10:47:40 +0200

Kireeti,

In the MIAD wiki page you talk about ancillary data, I think we should 
tweak a little bit:

------------------ from wiki ----------------------------
OLD
MIAD consists of indicators and ancillary data. The ancillary data can be:

    1. implicit ("no-data");
    2. within the label stack, encoded as labels ("in-stack data"
       or ISD);
    3. after the BoS ("post-stack data" or PSD) of this label stack;
    4. within the payload (not considered further here).
--------------------- proposed changes --------------------

NEW
MIAD consists of indicators and ancillary data. The ancillary data can be:

    1. implicit ("no-data" or ND (alternatively NoD));
    2. within the label stack, encoded as labels ("in-stack data"
       or ISD);
    3. after the BoS ("post-stack data" or PSD) of this label stack;
       within the payload (not considered further here).

ALTERNATIVE NEW
MIAD consists of indicators and ancillary data. The ancillary data can be:

    1. implicit ("no-data" or ND (alternatively NoD));
    2. within the label stack, encoded as labels ("in-stack data"
       or ISD);
    3. after the BoS ("post-stack data" or PSD) of this label stack;
    4. followed the payload (not considered further here).

I prefer "NEW" and NoD.

/Loa

On 25/08/2021 00:54, Kireeti Kompella wrote:
> Hi Loa,
> 
> I have reorganized the OpenDT wiki page, added a page for MIAD and added 
> this text below (as provisional).
> 
> I suggest using the terms “in-stack data” (ISD) and “post-stack data” 
> (PSD) for in-stack and after BoS MIAD, respectively.
> 
> Kireeti.
> 
>> On Aug 24, 2021, at 01:35, Loa Andersson <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>> Working Group, Design Tean,
>>
>> The Open DT has discussed the relationship between GAL/G-ACh and the 
>> new methods for indicating and transporting ancillary data in and 
>> after the label stack.
>>
>> We have decided to give the MPLS Open DT the following design directive:
>>
>> ---------------------------- start ---------------------------------
>>
>> Following the discussion in the MPLS Open DT 2021-08-19 we have have 
>> decided to give the MPLS Indicator and Open Design team this design 
>> directive.
>>
>> RFC 5586 "MPLS Generic Associated Channel" (including the updates by 
>> RFC 7274, RFC 6423, RFC 7214, and RFC 7026) will not be changed by the 
>> MPLS Open Design Team. The associated channel (GAL/G-ACh) will 
>> continue to operate as specified. No changes should be made to the 
>> associated channel, without careful coordination with what will be 
>> specified by the MPLS Pen design team.
>>
>> The Open design team will continue define methods bases on indicators 
>> (e.g. FAI-style SPL) and ancillary data.
>>
>> A packet can not carry both the associated channel and the new methods 
>> for transporting ancillary data indicated by the FAI-style SPL, i.e. 
>> the GAL and the FAI-style SPL can not both be present in a label 
>> stack. The reason is that the way the ACH is specified there is a high 
>> risk of collision of "data after the BoS" specified by other methods.
>>
>> ---------------------end --------------------------------------------
>>
>> The design team will start working according to this design directive, 
>> but for a period of two weeks we will comments on the directive.
>>
>> Please send comments to the MPLS wg mailing list ([email-masked] 
>> <mailto:[email-masked]>).
>>
>> /Loa
>>
>> for the co-chairs
>> -- 
>>
>> Loa Andersson email: [email-masked] <mailto:[email-masked]>
>> Senior MPLS Expert [email-masked] <mailto:[email-masked]>
>> Bronze Dragon Consulting             phone: +46 739 81 21 64
>>
>> _______________________________________________
>> mpls mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/mpls
> 

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Loa Andersson <[email-masked]>
Date: Fri, 3 Sep 2021 11:53:04 +0200

All,

I will wait for the consensus call on this until I have comments from 
the PALS chairs.

Haoyu,

Inline please

On 24/08/2021 20:35, Haoyu Song wrote:
> Hi WGs and design team,
> 
> This was indeed my original position on this issue. However, I remember in one meeting Stewart gave an counter argument against this which I think also makes sense: what if for a packet with GAL/G-Ach,  the forwarding decision is determined by the ancillary data? If they cannot coexist, we may rule out useful use cases.
> 
> I understand that one concern is the location conflict of G-ACH and ancillary data especially when G-ACH size may not be easy to decide. If this is the case, can we simply make that G-ACH, if exist, must be located after all ancillary data? After all, we can know the size of ancillary data easily.

Well, everything is "possible", for some values of "possible".

If we mandate that the G-ACH is located after post-stack-data, that 
would require changing all existing implementations of GAL/GACh. And the 
new and old version would not be compatible. And would require a 
red-flag day.

"Possible" but not attractive.

/Loa
> 
> I just raise this point for further discussion. It's fine for me to go either direction.
> 
> Best,
> Haoyu
> 
>   
> 
> -----Original Message-----
> From: mpls <[email-masked]> On Behalf Of Loa Andersson
> Sent: Tuesday, August 24, 2021 1:36 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; DetNet Chairs <[email-masked]>
> Subject: [mpls] Consensus poll on Design directive for the MPLS Open DT
> 
> The Open DT has discussed the relationship between GAL/G-ACh and the new methods for indicating and transporting ancillary data in and after the label stack.
> 
> Following the discussion in the MPLS Open DT 2021-08-19 we have have decided to give the MPLS Indicator and Open Design team this design directive.
> 
> RFC 5586 "MPLS Generic Associated Channel" (including the updates by RFC 7274, RFC 6423, RFC 7214, and RFC 7026) will not be changed by the MPLS Open Design Team. The associated channel (GAL/G-ACh) will continue to operate as specified. No changes should be made to the associated channel, without careful coordination with what will be specified by the MPLS Pen design team.
> 
> The Open design team will continue define methods bases on indicators (e.g. FAI-style SPL) and ancillary data.
> 
> A packet can not carry both the associated channel and the new methods for transporting ancillary data indicated by the FAI-style SPL, i.e. the GAL and the FAI-style SPL can not both be present in a label stack. The reason is that the way the ACH is specified there is a high risk of collision of "data after the BoS" specified by other methods.
> 
> The design team will start working according to this design directive, but for a period of two weeks we will comments on the directive.
> 
> Please send comments to the MPLS wg mailing list ([email-masked]).
> 
> /Loa
> 
> for the co-chairs
> 

--